<template>
	<mind-view>
		<template v-slot:toolbar-actions>
			<el-button 
				type="primary" 
				plain 
				icon="el-icon-new" 
				size="small" 
				@click="onNew()"
				>Nuevo
			</el-button>
		</template>
		<mind-table :data="RESOURCE_LIST" 
			row-key="movil" :row-class-name="estiloInactivos"
			:actions="{edit:true, delete:true}"
			@edit="onEdit"   @delete="onDelete">
			<el-table-column sortable prop="movil" label="Móvil" width="100" />
			<el-table-column sortable prop="patente" label="Patente"  />
			<el-table-column sortable prop="marca" label="Marca"  />
			<el-table-column sortable prop="modelo" label="Modelo" width="150" />
			<el-table-column prop="color" label="Color" width="150" />
			<el-table-column prop="año" label="Año" width="150" />
			<el-table-column  label="Activo" width="100">
				<template v-slot="{row}">
					{{row.activo ? 'Si' : 'No'}}
				</template>
			</el-table-column>
		</mind-table>
		<template v-slot:child>
			<router-view :key="$route.fullPath"  ></router-view>
		</template>
	</mind-view>
</template>

<script>
import moviles from '@/model/moviles'

export default {
  async created() {
		moviles.fetch({})
		.then((response)=>{
			this.RESOURCE_LIST = response.value
		})

	},
	methods: {
		onNew() {
			this.$router.push(`${this.$route.path}/new`)
		},
		onEdit(row) {
			this.$router.push(`${this.$route.path}/${row.movil}`)
		},

		onDelete(row) {
			this.$confirm(`¿Eliminar la Comisión ${row.nombre}?`, 'Atención', {
				confirmButtonText: 'OK',
				cancelButtonText: 'Cancelar',
				type: 'warning'
			}).then(async () => {
				this.selectedRow = null
				moviles.delete(row)
			}).catch(() => {
				this.$message({
					type: 'info',
					message: 'Eliminación Cancelada',
					duration: 1500,
				});
			});
		},


	},
	data() {
		return {
			RESOURCE_LIST: []
		}
	}

	
}
</script>
